Endpoint: /nodes/{nodeId}/metrics

Returns an EFT server’s metrics, including transfers and server status. To obtain the node ID a GET request will need to be done against the /nodes endpoint prior to making this REST API request .

  • GET

Method & URL

GET https://[server URL]:[port]/admin/v2/nodes/{nodeID}/metrics

GET Body Sample

Copy
GET https://{{host}}/admin/v2/nodes HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}

GET Response Body Sample

Copy

  "data": { 
    "type": "nodeMetrics", 
    "id": "WIN-4NFJASSP163", 
    "attributes": { 
      "activity": { "activeClientDownloadBytesPerSecond": 0, 
      "activeClientDownloadCount": 0, 
      "activeClientUploadBytesPerSecond": 0, 
      "activeClientUploadCount": 0, 
      "activeServerDownloadBytesPerSecond": 0, 
      "activeServerDownloadCount": 0, 
      "activeServerUploadBytesPerSecond": 0, 
      "activeServerUploadCount": 0, 
      "connectedAdminCount": 1, 
      "connectedUserCount": 0, 
      "runningAwTaskCount": 0, 
      "runningEventRuleCount": 0 
     }, 
      "isInCluster": false, "isMaster": false, "isStarted": true,

GET PowerShell Sample

Copy
###
#GET SERVER NODE METRICS
Write-Output "Get EFT Server Node Metrics"
$serverNodeID = "WIN-4NFJASSP163"
Write-Output "Server Node ID: $serverNodeID"
Write-Output "-----"
$serverAdminDetails = Invoke-RestMethod -Uri "$baseURL/v2/nodes/$serverNodeID/metrics" -Method 'GET' -Headers $authHeader
Write-Output $serverAdminDetails | ConvertTo-Json -Depth 10
foreach ($server in $serverAdminDetails.data)
{
    Write-Output ("Server $($serverAdminDetails.data)")